Name:          mongo-java-driver2
Version:       2.14.1
Release:       %mkrel 3
Summary:       MongoDB Java Driver
Group:         Development/Java
# BSD-3-clause: src/main/org/bson/io/UTF8Encoding.java
# CC-BY-SA-3.0: src/main/org/bson/util/annotations/*
License:       ASL 2.0 and BSD and CC-BY-SA
URL:           http://docs.mongodb.org/ecosystem/drivers/java/
Source0:       https://github.com/mongodb/mongo-java-driver/archive/r%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(junit:junit)
# Those files are modifications of code included in:
# src/main/com/mongodb/util/Base64Codec.java
Provides:      bundled(apache-commons-codec)
# src/main/org/bson/util/annotations/*
Provides:      bundled(jcip-annotations)
# src/main/org/bson/io/UTF8Encoding.java
Provides:      bundled(postgresql-jdbc) = 9.0-801

BuildArch:     noarch

%description
Java library to connect to the MongoDB document database.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n mongo-java-driver-r%{version}
# Cleanup
find -name '*.class' -delete
find -name '*.jar' -print -delete

# Unwanted task
%pom_remove_plugin :maven-source-plugin

%mvn_compat_version org.mongodb:mongo-java-driver %{version} 2
%mvn_file org.mongodb:mongo-java-driver mongo-java-driver %{name}

%build

# Test suite disabled; require web connection
# java.net.ConnectException: Connection refused
# com.mongodb.MongoTimeoutException: Timed out after 10000 ms while waiting to connect.
# Client view of cluster state is {type=Unknown, servers=[{address=127.0.0.1:27017,
# type=Unknown, state=Connecting, exception={com.mongodb.MongoException$Network:
# Exception opening the socket}, caused by {java.net.ConnectException: Connection refused}}]
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc History.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Thu Mar 03 2016 neoclust <neoclust> 2.14.1-3.mga6
+ Revision: 985141
- imported package mongo-java-driver2


* Tue Feb 09 2016 gil cattaneo <puntogil@libero.it> 2.14.1-3
- fix Provides

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 gil cattaneo <puntogil@libero.it> 2.14.1-1
- initial rpm
